org.apache.xmlgraphics.util.i18n

## Class LocaleGroup

- java.lang.Object
- - org.apache.xmlgraphics.util.i18n.LocaleGroup

-     public class LocaleGroup
      extends java.lang.Object

  This class represents a group of ExtendedLocalizable objects which have a shared default locale.
  Version:
    $Id$ Originally authored by Stephane Hillion.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static LocaleGroup` | `DEFAULT` The default group.
    `protected java.util.Locale` | `locale` The shared Locale.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleGroup()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Locale` | `getLocale()` Gets the current default locale in this group, or null.
    `void` | `setLocale(java.util.Locale l)` Sets the default locale for all the instances of ExtendedLocalizable in this group.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final LocaleGroup DEFAULT

      The default group.

    - #### locale

          protected java.util.Locale locale

      The shared Locale.

  - ### Constructor Detail

    - #### LocaleGroup

          public LocaleGroup()

  - ### Method Detail

    - #### setLocale

          public void setLocale(java.util.Locale l)

      Sets the default locale for all the instances of ExtendedLocalizable in this group.

    - #### getLocale

          public java.util.Locale getLocale()

      Gets the current default locale in this group, or null.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.